server_name: "m.rassvet-nf.ru"
public_baseurl: "https://m.rassvet-nf.ru/"
pid_file: /data/homeserver.pid

listeners:
  - port: 8008
    tls: false
    type: http
    x_forwarded: true
    resources:
      - names: [client, federation]
        compress: false

database:
  name: psycopg2
  allow_unsafe_locale: true
  args:
    user: synapse
    password: "change_me_please"
    database: synapse
    host: postgres
    port: 5432
    cp_min: 5
    cp_max: 10

media_store_path: /data/media_store
registration_shared_secret: "change_me_registration_secret"
macaroon_secret_key: "change_me_macaroon_secret"
form_secret: "change_me_form_secret"
signing_key_path: "/data/m.rassvet-nf.ru.signing.key"
enable_registration: true
enable_registration_without_verification: true
suppress_key_server_warning: true
trusted_key_servers:
  - server_name: "matrix.org"

report_stats: false
